unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs,
  SqlitePassDbo, DbCtrls, db, DBGrids, ExtCtrls, Buttons, SqlitePassChooseDatasetDialog,
  StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button5: TButton;
    Memo1: TMemo;
    Splitter1: TSplitter;
    SqlitePassDatabase1: TSqlitePassDatabase;
    SqlitePassDataset1: TSqlitePassDataset;
    Datasource1: TDatasource;
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Panel1: TPanel;
    
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form1: TForm1; 

implementation

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
var
F: TSqlitePassChooseDatasetDialog;
Dataset: TSqlitePassDataset;
IsOpen: Boolean;
begin
Dataset := SqlitePassDataset1;
F := TSqlitePassChooseDatasetDialog.Create(Self, Dataset);
if (F.ShowModal = mrOk)
   then begin
        isOpen := Dataset.Active;
        Dataset.Close;
        //SetStrValue(F.Tv.Selected.Text);
        If IsOpen then Dataset.Active := True;
        end;
F.Free;
End;

procedure TForm1.Button2Click(Sender: TObject);
begin
 SqlitePassDataset1.Open;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  SqlitePassDataset1.Close;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  SqlitePassDatabase1.Open;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  SqlitePassDatabase1.Close;
end;

initialization
  {$I unit1.lrs}

end.

