{ This library is free software; you can redistribute it and/or modify it
  under the terms of the GNU Library General Public License as published by
  the Free Software Foundation; either version 2 of the License, or (at your
  option) any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License
  for more details.

  You should have received a copy of the GNU Library General Public License
  along with this library; if not, write to the Free Software Foundation,
  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

  ---------------------------------------------------------------------------

    Basic SQL Parser
    Author : Luc DAVID Email: luckylazarus@free.fr
    Copyright (C) 2007
    
    Major changes are indicated in the \Documentation\changes.pdf file
    Last update : 02/06/2007

  --------------------------------------------------------------------------- }


unit SqlitePassKexiDef;
{$i SqlitePassDbo.inc}

interface

Const

{ ----- Special declarations for Kexi ----- }

{ Kexi system tables }
KexiSystemTables:array[0..7] of string =
           ('kexi__db',
            'kexi__fields',
            'kexi__final',
            'kexi__objects',
            'kexi__objectdata',
            'kexi__parts',
            'kexi__useractions',
            'kexi__blobs');

{ Kexi field constraints }

   (*
   NoConstraints = 0,
   AutoInc = 1, ?
   Unique = 2,  ?
   PrimaryKey = 4, ?
   ForeignKey = 8, -> FieldType
   NotNull = 16,   ?
   NotEmpty = 32, ? //!< only legal for string-like and blob fields
   Indexed = 64 -> IsIndexField
   *)

KexiFieldConstraints = 'NoConstraints,AutoInc,Unique,PrimaryKey,ForeignKey,'
                     + 'NotNull,NotEmpty,Indexed';
implementation
end.

